/* About Page Specific Styles */
.about-section {
    background: #fff;
    max-width: 1400px;
    width: 100%;
    margin: 0 auto;
}


.about-content {
    display: grid;
    place-items: center;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    /* margin: 4rem 0; */
}
.about-content div {
    display: grid;
    place-items: center;
}

.about-content div p:last-child {    
    margin-bottom: 0;
}
.about-content div h2 {        
    width: 100%;
}
.about-content picture {        
    width: 100%;
    height: 100%;
}

.about-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center right;
    display: block;
    border-radius: 1rem;
}

.about-container h2 {    
    font-size: 2rem;
    color: var(--black-text);
    margin: 3rem 0 1rem;
}



.about-content h2:first-child {
    margin-top: 0;
}

.about-content p {
    font-size: 1.3rem;
    color: var(--light-text);
    line-height: 1.8;
    margin-bottom: 1rem;
}



.features-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
    margin-top: 2rem;
}

.feature {
    text-align: center;
    padding: 2rem;
    border: var(--border);
    border-radius: var(--border-radius);
    transition: all 0.3s ease;
}

.feature:hover {
    border: var(--border-hover);
    transform: translateY(-5px);
}

.feature i {
    font-size: 3rem;
    color: var(--green);
    margin-bottom: 1rem;
}

.feature h3 {
    font-size: 1.8rem;
    color: var(--black-text);
    margin-bottom: 0.5rem;
}

.feature p {
    font-size: 1.3rem;
    margin: 0;
}


line-gap {
    display: block;
    height: 6px;
}



.stats-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
    margin-bottom: 3rem;
    padding: 3rem;
    background: var(--light-grey-color);
    border-radius: var(--border-radius);
}

.stat {
    text-align: center;
}

.stat h3 {
    font-size: 2.5rem;
    color: var(--green);
    margin-bottom: 0.5rem;
}

.stat p {
    font-size: 1.3rem;
    color: var(--light-text);
}

@media (max-width: 1200px) {
    .about-content {    
    grid-template-columns: 1fr;
}

}
@media (max-width: 992px) {
    .about-container {
        grid-template-columns: 1fr;
        gap: 2rem;
    }

    .features-grid {
        grid-template-columns: 1fr;
    }

    .stats-container {
        grid-template-columns: repeat(2, 1fr);
        gap: 4rem;
        padding: 2rem 0;
    }
}

@media (max-width: 576px) {
    .stats-container {
        grid-template-columns: repeat(2, 1fr);
        gap: 0;
        padding: 0;
        background: #fff;
    }
    .stats-container .stat {
        padding: 1rem 1rem;
        background: #fff;
        margin: 0;
        background: var(--light-grey-color);
        border-radius: 5px;
    }
    .stats-container .stat h3 {
        font-size:2rem;
    }
    
    .stats-container .stat p {
        font-size:1.2rem;
        font-style: italic;
    }
    
    .stats-container .stat:nth-child(1) {
        margin-right: 1rem;
}
    
    .stats-container .stat:nth-child(3) {
        margin-right: 1rem;
}
    
    .stats-container .stat:nth-child(1) {
        margin-bottom: 1rem;
}
    
    .stats-container .stat:nth-child(2) {
        margin-bottom: 1rem;
}
